Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.beanutils.locale.converters
Class LongLocaleConverter

    java.lang.Object
      |
      +--org.apache.commons.beanutils.locale.BaseLocaleConverter
            |
            +--org.apache.commons.beanutils.locale.converters.DecimalLocaleConverter
                  |
                  +--org.apache.commons.beanutils.locale.converters.LongLocaleConverter

All Implemented Interfaces:
  Converter, LocaleConverter

public class LongLocaleConverter
extends DecimalLocaleConverter

Standard `LocaleConverter` implementation that converts an incoming locale-sensitive String into a `java.lang.Long` object, optionally using a default value or throwing a `ConversionException` if a conversion error occurs.

Author:
  Yauheny Mikulski

Fields inherited from class org.apache.commons.beanutils.locale.BaseLocaleConverter
`locale, locPattern, pattern, useDefault`

Constructor Summary
`LongLocaleConverter()` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
`LongLocaleConverter(boolean locPattern)` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
`LongLocaleConverter(java.util.Locale locale)` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
`LongLocaleConverter(java.util.Locale locale, boolean locPattern)` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
`LongLocaleConverter(java.util.Locale locale, java.lang.String pattern)` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
`LongLocaleConverter(java.util.Locale locale, java.lang.String pattern, boolean locPattern)` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
`LongLocaleConverter(java.lang.Object defaultValue)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
`LongLocaleConverter(java.lang.Object defaultValue, boolean locPattern)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
`LongLocaleConverter(java.lang.Object defaultValue, java.util.Locale locale)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
`LongLocaleConverter(java.lang.Object defaultValue, java.util.Locale locale, boolean locPattern)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
`LongLocaleConverter(java.lang.Object defaultValue, java.util.Locale locale, java.lang.String pattern)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
`LongLocaleConverter(java.lang.Object defaultValue, java.util.Locale locale, java.lang.String pattern, boolean locPattern)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.

Method Summary
`protected java.lang.Object` | `parse(java.lang.Object value, java.lang.String pattern)` Convert the specified locale-sensitive input object into an output object of the specified type.

Methods inherited from class org.apache.commons.beanutils.locale.BaseLocaleConverter
`convert, convert, convert, convert`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LongLocaleConverter

    public LongLocaleConverter()

  Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs. The locale is the default locale for this instance of the Java Virtual Machine and an unlocalized pattern is used for the convertion.

### LongLocaleConverter

    public LongLocaleConverter(boolean locPattern)

  Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs. The locale is the default locale for this instance of the Java Virtual Machine.
  Parameters:
    `locPattern` - Indicate whether the pattern is localized or not

### LongLocaleConverter

    public LongLocaleConverter(java.util.Locale locale)

  Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs. An unlocalized pattern is used for the convertion.
  Parameters:
    `locale` - The locale

### LongLocaleConverter

    public LongLocaleConverter(java.util.Locale locale,
                               boolean locPattern)

  Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
  Parameters:
    `locale` - The locale
    `locPattern` - Indicate whether the pattern is localized or not

### LongLocaleConverter

    public LongLocaleConverter(java.util.Locale locale,
                               java.lang.String pattern)

  Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs. An unlocalized pattern is used for the convertion.
  Parameters:
    `locale` - The locale
    `pattern` - The convertion pattern

### LongLocaleConverter

    public LongLocaleConverter(java.util.Locale locale,
                               java.lang.String pattern,
                               boolean locPattern)

  Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
  Parameters:
    `locale` - The locale
    `pattern` - The convertion pattern
    `locPattern` - Indicate whether the pattern is localized or not

### LongLocaleConverter

    public LongLocaleConverter(java.lang.Object defaultValue)

  Create a `LocaleConverter` that will return the specified default value if a conversion error occurs. The locale is the default locale for this instance of the Java Virtual Machine and an unlocalized pattern is used for the convertion.
  Parameters:
    `defaultValue` - The default value to be returned

### LongLocaleConverter

    public LongLocaleConverter(java.lang.Object defaultValue,
                               boolean locPattern)

  Create a `LocaleConverter` that will return the specified default value if a conversion error occurs. The locale is the default locale for this instance of the Java Virtual Machine.
  Parameters:
    `defaultValue` - The default value to be returned
    `locPattern` - Indicate whether the pattern is localized or not

### LongLocaleConverter

    public LongLocaleConverter(java.lang.Object defaultValue,
                               java.util.Locale locale)

  Create a `LocaleConverter` that will return the specified default value if a conversion error occurs. An unlocalized pattern is used for the convertion.
  Parameters:
    `defaultValue` - The default value to be returned
    `locale` - The locale

### LongLocaleConverter

    public LongLocaleConverter(java.lang.Object defaultValue,
                               java.util.Locale locale,
                               boolean locPattern)

  Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
  Parameters:
    `defaultValue` - The default value to be returned
    `locale` - The locale
    `locPattern` - Indicate whether the pattern is localized or not

### LongLocaleConverter

    public LongLocaleConverter(java.lang.Object defaultValue,
                               java.util.Locale locale,
                               java.lang.String pattern)

  Create a `LocaleConverter` that will return the specified default value if a conversion error occurs. An unlocalized pattern is used for the convertion.
  Parameters:
    `defaultValue` - The default value to be returned
    `locale` - The locale
    `pattern` - The convertion pattern

### LongLocaleConverter

    public LongLocaleConverter(java.lang.Object defaultValue,
                               java.util.Locale locale,
                               java.lang.String pattern,
                               boolean locPattern)

  Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
  Parameters:
    `defaultValue` - The default value to be returned
    `locale` - The locale
    `pattern` - The convertion pattern
    `locPattern` - Indicate whether the pattern is localized or not

Method Detail

### parse

    protected java.lang.Object parse(java.lang.Object value,
                                     java.lang.String pattern)
                              throws java.text.ParseException

  Convert the specified locale-sensitive input object into an output object of the specified type. This method will return a Long type.
  Overrides:
    `parse` in class `DecimalLocaleConverter`
  Parameters:
    `value` - The input object to be converted
    `pattern` - The pattern is used for the convertion
  Returns:
    The converted value
  Throws:
    `ConversionException` - if conversion cannot be performed successfully
    `java.text.ParseException` - if an error occurs parsing a String to a Number

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 The Apache Software Foundation. All Rights Reserved.